Subject: Re: bug#354: "Added (how many lines, bytes?!) to file.txt"

From: Stefan Monnier <[email-masked]>
Date: Tue, 03 Jun 2008 17:07:53 -0400

severity 354 wishitem
thanks

> Gentlemen, (I sound like Prince's "Partyman" song)
> I noticed all append-to-file says is
> "Added to /var/neurdsbeurg.txt".

> The problem is often the user thinks "good, thanks", when days later
> he discovers few or no lines got added, that's right, even 0 bytes
> will produce the same message. You see often we are not fully aware of
> the extent of our regions, colored or not, especially when extending
> off the screen.

> Therefore I propose you change that message to say instead how many
> line or bytes or characters or both or all three were copied over.

That sounds like a good idea.  I think you may even be able to provide
a patch for it.  The relevant code is at the very end of the
Fwrite_region function in emacs/src/fileio.c.

        Stefan